The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> getpgid - get the process group ID for a process

#### SYNOPSIS

> ``#include <unistd.h>
> pid_t getpgid(pid_t` pid`);
> ``

#### DESCRIPTION

> The getpgid() function shall return the process group ID of the process whose process ID is equal to pid. If pid is equal to 0, getpgid() shall return the process group ID of the calling process.

#### RETURN VALUE

> Upon successful completion, getpgid() shall return a process group ID. Otherwise, it shall return (pid_t)-1 and set errno to indicate the error.

#### ERRORS

> The getpgid() function shall fail if:

> [EPERM]
>   The process whose process ID is equal to pid is not in the same session as the calling process, and the implementation does not allow access to the process group ID of that process from the calling process.
> [ESRCH]
>   There is no process with a process ID equal to pid.

> The getpgid() function may fail if:

> [EINVAL]
>   The value of the pid argument is invalid.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> exec, fork, getpgrp, getpid, getsid, setpgid, setsid

> XBD <unistd.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

#### Issue 7

> The getpgid() function is moved from the XSI option to the Base.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]